StartupEvents.registry('block', allthemods => {
	allthemods.create('magical_soil').displayName('§bMagical Soil').grassSoundType().mapColor('grass').hardness(0.6);
})

StartupEvents.modifyCreativeTab('ironfurnaces:ironfurnaces_tab', allthemods => {
	allthemods.add('ironfurnaces:allthemodium_furnace')
	allthemods.add('ironfurnaces:vibranium_furnace')
	allthemods.add('ironfurnaces:unobtainium_furnace')
	allthemods.add('ironfurnaces:upgrade_allthemodium')
	allthemods.add('ironfurnaces:upgrade_vibranium')
	allthemods.add('ironfurnaces:upgrade_unobtainium')
})


StartupEvents.modifyCreativeTab('functional_blocks', allthemods => {
    [
    'ancient',      'azalea',       'blossom',          'oak',
    'spruce',       'birch',        'jungle',           'acacia',
    'dark_oak',     'crimson',      'warped',           'mangrove',
    'bamboo',       'cherry',       'nether_brick',     'prismarine', 
    'purpur'
    ].forEach(type => {
        allthemods.add(`quark:${type}_chest`)
        allthemods.add(`quark:${type}_trapped_chest`)       
    })
})
